<?xml version="1.0" encoding="UTF-8"?>
<!DOCTYPE module-description PUBLIC "-//StarOffice//DTD ComponentDescription 1.0//EN" "module-description.dtd">
<module-description xmlns:xlink="http://www.w3.org/1999/xlink">
    <module-name>	namingservice.uno	</module-name>
    <component-description>
        <author> Juergen Schmidt </author>
        <name>	com.sun.star.comp.stoc.NamingService	</name>
        <description>
The naming service allows the registration and retrieval of objects.
</description>
        <loader-name>	com.sun.star.loader.SharedLibrary	</loader-name>
        <language>	c++	</language>
        <status value="final"/>
        <supported-service>	com.sun.star.uno.NamingService	</supported-service>
        <type>com.sun.star.lang.DisposedException</type>
        <type>	com.sun.star.lang.XComponent					</type>
        <type>	com.sun.star.lang.IllegalArgumentException		</type>
        <type>	com.sun.star.lang.XInitialization 		  		</type>
        <type>	com.sun.star.lang.XTypeProvider			  		</type>
        <type>	com.sun.star.lang.XServiceInfo			  		</type>
        <type>	com.sun.star.lang.XSingleComponentFactory  		</type>
        <type>	com.sun.star.lang.XSingleServiceFactory	  		</type>
        <type>	com.sun.star.lang.XMultiServiceFactory	  		</type>
        <type>	com.sun.star.registry.XRegistryKey		  		</type>
        <type>	com.sun.star.uno.XAggregation			  		</type>
        <type>	com.sun.star.uno.XComponentContext	  		</type>
        <type>	com.sun.star.uno.XWeak					  		</type>
        <type>	com.sun.star.uno.TypeClass				  		</type>
        <type>	com.sun.star.uno.XNamingService			  		</type>
    </component-description>
    <project-build-dependency>	cppuhelper	</project-build-dependency>
    <project-build-dependency>	cppu		</project-build-dependency>
    <project-build-dependency>	sal			</project-build-dependency>
    <runtime-module-dependency>	cppuhelper3$(COM)	</runtime-module-dependency>
    <runtime-module-dependency>	cppu3		</runtime-module-dependency>
    <runtime-module-dependency>	sal3		</runtime-module-dependency>
</module-description>
